CVE-2006-7120

Current Description

** DISPUTED ** PHP remote file inclusion vulnerability in lib/php/phphtmllib-2.5.4/examples/example6.php for maintain 3.0.0-RC2 allows remote attackers to execute arbitrary PHP code via a URL in the phphtmllib parameter. NOTE: this issue might be in phpHtmlLib. NOTE: CVE disputes this issue for proper installations of maintain, since $phphtmllib is set in includes.inc before being used in example6.php.

Basic Data

PublishedMarch 06, 2007
Last ModifiedOctober 16, 2018
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:C/I:C/A:C
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactCOMPLETE
CVSS 2 - Availability ImpactCOMPLETE
CVSS 2 - Base Score10.0
SeverityHIGH
Exploitability Score10.0
Impact Score10.0
Obtain All Privilegetrue
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationOsu Open Source LabMaintain3.0.0_rc_2*******

Vulnerable Software List

VendorProductVersions
Osu Open Source Lab Maintain 3.0.0_rc_2

References

NameSourceURLTags
2359http://securityreason.com/securityalert/2359SREASON
20061015 maintain-3.0.0-RC2 - Remote File Include Vulnerabilitieshttp://www.securityfocus.com/archive/1/448780/100/0/threadedBUGTRAQ
20560http://www.securityfocus.com/bid/20560BIDExploit
maintain-phphtmllib-file-include(29596)https://exchange.xforce.ibmcloud.com/vulnerabilities/29596XF